OrdinalsTupleCursor (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.document.column, class: OrdinalsTupleCursor

Package org.apache.lucene.document.column

# Class OrdinalsTupleCursor

java.lang.Object
org.apache.lucene.document.column.OrdinalsTupleCursor

public abstract class OrdinalsTupleCursor extends Object
A tuple cursor over a `DictionaryColumn`. Yields `(docID, ordinal)` pairs. Batch-local doc-ids are returned in non-decreasing order; the same doc-id may repeat for multi-valued fields (e.g. `SORTED_SET`).

Each ordinal must be in `[0, column.dictionary().length)`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrdinalsTupleCursor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `nextDoc()`
  Advances to the next tuple and returns its batch-local doc-id, or `DocIdSetIterator.NO_MORE_DOCS` if exhausted.
  `abstract int`
  `ordValue()`
  Returns the ordinal at the current cursor position.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrdinalsTupleCursor

    public OrdinalsTupleCursor()

- ## Method Details

  - ### nextDoc

    public abstract int nextDoc()
    Advances to the next tuple and returns its batch-local doc-id, or `DocIdSetIterator.NO_MORE_DOCS` if exhausted.

    Returned doc-ids are batch-local (`0` to `numDocs - 1`) and are emitted in non-decreasing order. The same doc-id may be returned multiple times when a document has multiple values.

  - ### ordValue

    public abstract int ordValue()
    Returns the ordinal at the current cursor position. Only valid after a successful `nextDoc()` call that returned a value other than `DocIdSetIterator.NO_MORE_DOCS`.

    The returned value must be in `[0, dictionary.length)` where `dictionary` is the enclosing column's dictionary.